package VDR::OsdItem;

use strict;
use warnings;
use base qw[ VDR::Object ];

sub new
{
	my $self = shift;
	my $ref = ref($self) || $self;

	my $this = $ref->SUPER::new('OsdItem', @_);
	$this->{_text} = shift;

	return $this;
}

sub set_selectable
{
	my $this = shift;
	my $on = defined($_[0]) ? shift : '1';
	$this->send_msg('M', $this, 'SetSelectable', $on ? '1' : '0');
}

"this value intentionally left true";
